{- |

Copyright   :  (c) Henning Thielemann 2006
License     :  GPL

Maintainer  :  synthesizer@henning-thielemann.de
Stability   :  provisional
Portability :  requires multi-parameter type classes



This module is for documentation purposes.
But the modules below are exported
in order to let you easily navigate to them.
-}


module Synthesizer.Physical
   (module Synthesizer.Physical.Signal,
    module Synthesizer.Physical.Cut,
    module Synthesizer.Physical.Displacement) where

import Synthesizer.Physical.Signal
import Synthesizer.Physical.Cut
import Synthesizer.Physical.Displacement
